{% extends "dashboard/dashboard_content.html" %}
{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                PDF Downloading
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
                <div class="row">
                    <form method="POST">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped ">
                                <thead>
                               Download/Not Download All<input type="checkbox" id="DownAll"/>
                                <tr>
                                    <th>Name</th>
                                    <th>RollNo</th>
                                    <th>Reason</th>
                                    <th>Approved Date</th>
                                    <th>Download</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for appl in list %}
                                    <tr>
                                        <td>{{ appl.student }}</td>
                                        <td>{{ appl.student.roll_no }}</td>
                                        <td>{{ appl.bonafide.reason }}</td>
                                        <td>{{ appl.approved_date }}</td>
                                        <td><input type="checkbox" name="selected_applns"
                                                   value="{{ appl.pk }}">
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <div align="center">
                                <input type="submit" class="save btn btn-lg btn-success" name="Download"
                                       value="Download"/>
                            </div>
                        </div>

                    </form>

                </div>
            
        </div>
    </div>
<script>
$("#DownAll").change(function(){
 $("input:checkbox").prop('checked',$(this).prop("checked"));
});
</script>
{% endblock %}
